package codex

// 公用
const (
	// 400 | TmpMsg
	ErrParamValidate int = iota + CommonModule
	// 400 | 不合规的JSON数据类型定义
	ErrBindJSON
	// 401 | Invalid authorization header.
	ErrInvalidAuthHeader
	// 401 | 未登录(Signature is invalid)
	ErrSignatureInvalid
	// 401 | 账号不存在或密码错误
	ErrLoginInvalid
	// 500 | 登出错误
	ErrLogoutInvalid
	// 401 | ErrFindAccountInvalid
	ErrFindAccountInvalid
	// 401 | 验证码错误
	ErrCaptchaInvalid
	// 403 | Client Ip Must Be LocalHost
	ErrClientIp
	// 400 | Invalid X-Request-Id header.
	ErrXRequestIdHeader
	// 400 | TmpMsg
	ErrLoginFailed
	// 403 | 无权访问!
	ErrOperationForbideen
	// 400 | 资源不存在
	ErrResourceNotFound
	// 500 | 操作失败
	ErrOperationFailed
	// 500 | 权限验证失败
	ErrOpPermissionFailed
	// 400 | 该名称重复
	ErrNameExisted
	// 500 | 查询失败
	ErrQueryFailed
	// 500 | 保存失败
	ErrSaveFailed
	// 500 | 删除失败
	ErrDeletedFailed
	// 500 | 获取上传秘钥失败
	ErrGetUploadKeyFailed
	// 400 | 文件标题不匹配
	ErrFileTitleNotMatch
	// 403 | 链接已过期
	ErrUrlExpires
	// 403 | TmpMsg
	ErrUrlInvalid
	// 403 | TmpMsg
	ErrNoDataPermission
	// 403 | access token expired
	ErrStatusForbidden
)
