package public

import (
	"github.com/gin-gonic/gin"
)

func Register(r *gin.RouterGroup) {
	api := NewApi()

	// 不登录
	public := r.Group("/public")
	public.POST("/queryOrder", api.queryExpressOrder)
	public.POST("/logisticDetail", api.logisticDetail)
	public.POST("/deviceSensorList", api.deviceSensorList)
	public.POST("/sensorDataList", api.snDataList)
	return
}

type Api struct{}

func NewApi() Api {
	return Api{}
}
