package models

// CarLog 车辆表
type CarLog struct {
	Id              int    `gorm:"column:id" json:"id"`                             //
	CreatedTime     MyTime `gorm:"column:created_time" json:"createdTime"`          //创建时间
	CreatedBy       int    `gorm:"column:created_by" json:"createdBy"`              //创建人
	UpdatedTime     MyTime `gorm:"column:updated_time" json:"updatedTime"`          //修改时间
	UpdatedBy       int    `gorm:"column:updated_by" json:"updatedBy"`              //修改人
	DeletedTime     MyTime `gorm:"column:deleted_time" json:"deletedTime"`          //删除时间
	DeletedBy       int    `gorm:"column:deleted_by" json:"deletedBy"`              //删除人
	Deleted         int    `gorm:"column:deleted" json:"deleted"`                   //是否删除 1-是 2-否
	CarId           int    `gorm:"column:car_id" json:"carId"`                      //车辆Id
	DriverAccountId int    `gorm:"column:driver_account_id" json:"driverAccountId"` //司机账号id
	DirverName      string `gorm:"column:dirver_name" json:"dirverName"`            //司机
	HandoverTime    MyTime `gorm:"column:handover_time" json:"handoverTime"`        //交接时间
}

func (*CarLog) TableName() string {
	return "car_log"

}
