package models

// LogisticCompany 物流公司表
type LogisticCompany struct {
	Id          int    `gorm:"column:id" json:"id"`                    //
	CreatedTime MyTime `gorm:"column:created_time" json:"createdTime"` //创建时间
	CreatedBy   int    `gorm:"column:created_by" json:"createdBy"`     //创建人
	UpdatedTime MyTime `gorm:"column:updated_time" json:"updatedTime"` //修改时间
	UpdatedBy   int    `gorm:"column:updated_by" json:"updatedBy"`     //修改人
	DeletedTime MyTime `gorm:"column:deleted_time" json:"deletedTime"` //删除时间
	DeletedBy   int    `gorm:"column:deleted_by" json:"deletedBy"`     //删除人
	Deleted     int    `gorm:"column:deleted" json:"deleted"`          //是否删除 1-是 2-否
	Name        string `gorm:"column:name" json:"name"`                //名称
	IsDefault   int    `gorm:"column:is_default" json:"isDefault"`     //是否默认：1-是 - 2-否
	Pid         int    `gorm:"column:pid" json:"pid"`                  //冷链系统公司Id
}

func (*LogisticCompany) TableName() string {
	return "logistic_company"

}
