package models

// Region 省市区表
type Region struct {
	Id          int    `gorm:"column:id" json:"id"`                    //主键id
	CreatedTime MyTime `gorm:"column:created_time" json:"createdTime"` //创建时间
	CreatedBy   int    `gorm:"column:created_by" json:"createdBy"`     //创建人
	UpdatedTime MyTime `gorm:"column:updated_time" json:"updatedTime"` //修改时间
	UpdatedBy   int    `gorm:"column:updated_by" json:"updatedBy"`     //修改人
	DeletedTime MyTime `gorm:"column:deleted_time" json:"deletedTime"` //删除时间
	DeletedBy   int    `gorm:"column:deleted_by" json:"deletedBy"`     //删除人
	Deleted     int    `gorm:"column:deleted" json:"deleted"`          //是否删除 1-是 2-否
	Name        string `gorm:"column:name" json:"name"`                //名称
	Level       int    `gorm:"column:level" json:"level"`              //层级
	Sort        int    `gorm:"column:sort" json:"sort"`                //排序
	ParentId    int    `gorm:"column:parent_id" json:"parentId"`       //父id
	IsProtected int    `gorm:"column:is_protected" json:"isProtected"` //是否受保护
}

func (*Region) TableName() string {
	return "region"

}
