package codex

// 将在当前目录下生成相关代码与文档
//go:generate lance codegen

// 错误码常量命名需以Err开头
// <http状态码> | <错误信息> | <详细信息>
// 注意：<错误信息>为TmpMsg时，将使用动态的错误信息返回

const (
	CommonModule int = iota*100 + 110001
	SystemModule     // 系统错误
	BizModule        // 业务错误
)

// system
const (
	// 500 | 系统错误
	ErrSystemSrv int = iota + SystemModule
)
