package constant

const (
	TimeCriterionFormat = "2006-01-02 15:04:05"
	TimeMergeFormat     = "20060102150405"
)

const (
	TraceIDHeader    = "X-Request-Id"
	XTimestampHeader = "X-Timestamp"
	Authorization    = "Authorization"
	AuthQrCode       = "X-QrCode"
)

const (
	TokenInfoKey = "TokenInfoKey"
)

const MaxFileNameLength = 100

const (
	AuthTokenTypeBasic  = "Basic"  // 平台内部账号的token验证
	AuthTokenTypeBearer = "Bearer" // 微信小程序用户的token验证
)

const (
	RootPath       = "/Cold_Logistic"
	PdfStoragePath = RootPath + "/pdf"
	UploadPath     = RootPath + "/upload"
	ExcelPath      = RootPath + "/excel"
	ExportPath     = RootPath + "/export"
)

const (
	CCLPlatformLoginJWTISS = "cclPlatformLogin"
	CCLAppletLoginJWTISS   = "cclAppletLogin"
)

const LimitKeyCounterPrefix = "limitKeyCounterPrefix:"
