package domainservice

import (
	"Cold_Logistic/internal/pkg/common/global"
	"Cold_Logistic/internal/pkg/common/options"
	"Cold_Logistic/internal/pkg/utils/contextutil"
	"context"
	"gogs.baozhida.cn/Cold_Logistic_libs/pkg/contrib/database/myredis"
	"testing"
)

func init() {
	options.OptInstance = &options.Options{
		Redis: &myredis.RedisOption{
			Enable: true,
			Addr:   "192.168.11.23:6379",
			DB:     11,
		},
	}
	global.CommonConnectRepoInst = global.NewCommonConnectsRepo(options.OptInstance)
	global.CommonConnectRepoInst.Redis = myredis.InitRedis(options.OptInstance.Redis)
}

func TestGenOrderNo(t *testing.T) {

	ctx := contextutil.MakeTraceCtx(context.Background())
	if err := GenOrderNo(ctx); err != nil {
		t.Errorf("GenOrderNo() error = %v", err)
		return
	}

}

func TestGenOrderNo_Sub(t *testing.T) {

}
