package models

// 可在当前目录下新建.env文件进行相关配置
//go:generate lance modelgen

/*
-------------创建时可用的 hook---------------
// 开始事务
BeforeSave
BeforeCreate
// 关联前的 save
// 插入记录至 db
// 关联后的 save
AfterCreate
AfterSave
// 提交或回滚事务
--------------------------------------------

-------------更新时可用的 hook---------------
// 开始事务
BeforeSave
BeforeUpdate
// 关联前的 save
// 更新 db
// 关联后的 save
AfterUpdate
AfterSave
// 提交或回滚事务
--------------------------------------------

-------------删除时可用的 hook---------------
// 开始事务
BeforeDelete
// 删除 db 中的数据
AfterDelete
// 提交或回滚事务
--------------------------------------------

-------------查询时可用的 hook---------------
// 从 db 中加载数据
// Preloading (eager loading)
AfterFind
--------------------------------------------

*/
